Net::DNS::RR::CERT(3)

NAME
Net::DNS::RR::CERT - DNS CERT resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name IN CERT format tag algorithm cert');

DESCRIPTION
Class for DNS Certificate (CERT) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  format
    $format =  $rr->format;

Returns the format code for the certificate (in numeric form)

  tag
    $tag = $rr->tag;
    $rr->tag( $tag );

Returns the key tag for the public key in the certificate

  algorithm
    $algorithm = $rr->algorithm;

Returns the algorithm used by the certificate (in numeric form).

  cert
    $cert = $rr->cert;
    $rr->cert( $cert );

Base64 representation of the certificate.

  certbin
    $certbin = $rr->certbin;
    $rr->certbin( $certbin );

Binary representation of the certificate.

COPYRIGHT
Copyright (c)2002 VeriSign, Mike Schiraldi

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC4398